cutlass::ShapeCount< Shape > Struct Template Reference

Compute derived counted of a Layout Concept based class.

`#include <shape.h>`

## Static Public Attributes

static int const | kWc = Shape::kW * Shape::kC
| The number of elements per row. More...
static int const | kHw = Shape::kH * Shape::kW
| The number of pixels per image. More...
static int const | kHwc = Shape::kH * kWc
| The number of elements per image. More...
static int const | kDhw = Shape::kD * kHw
| The number of pixels per cube. More...
static int const | kDhwc = Shape::kD * kHwc
| The number of elements in the 4D space. More...
static int const | kCount = kDhwc
| The number of elements in the 4D space. More...

## Member Data Documentation

## kCount

template<typename Shape>

int const cutlass::ShapeCount< Shape >::kCount = kDhwc

static

## kDhw

template<typename Shape>

int const cutlass::ShapeCount< Shape >::kDhw = Shape::kD * kHw

static

## kDhwc

template<typename Shape>

int const cutlass::ShapeCount< Shape >::kDhwc = Shape::kD * kHwc

static

## kHw

template<typename Shape>

int const cutlass::ShapeCount< Shape >::kHw = Shape::kH * Shape::kW

static

## kHwc

template<typename Shape>

int const cutlass::ShapeCount< Shape >::kHwc = Shape::kH * kWc

static

## kWc

template<typename Shape>

int const cutlass::ShapeCount< Shape >::kWc = Shape::kW * Shape::kC

static

The documentation for this struct was generated from the following file:

- shape.h